 include/linux/spinlock.h |   14 +++++++-------
 1 files changed, 7 insertions(+), 7 deletions(-)

diff -puN include/linux/spinlock.h~lockmeter-fixes include/linux/spinlock.h
--- 25/include/linux/spinlock.h~lockmeter-fixes	2003-04-12 21:35:49.000000000 -0700
+++ 25-akpm/include/linux/spinlock.h	2003-04-12 21:35:57.000000000 -0700
@@ -328,20 +328,20 @@ do { \
 
 #define spin_unlock_irqrestore(lock, flags) \
 do { \
-	spin_unlock(lock); \
+	_raw_spin_unlock(lock); \
 	local_irq_restore(flags); \
 	preempt_enable(); \
 } while (0)
 
 #define _raw_spin_unlock_irqrestore(lock, flags) \
 do { \
-	spin_unlock(lock); \
+	_raw_spin_unlock(lock); \
 	local_irq_restore(flags); \
 } while (0)
 
 #define spin_unlock_irq(lock) \
 do { \
-	spin_unlock(lock); \
+	_raw_spin_unlock(lock); \
 	local_irq_enable(); \
 	preempt_enable(); \
 } while (0)
@@ -355,14 +355,14 @@ do { \
 
 #define read_unlock_irqrestore(lock, flags) \
 do { \
-	read_unlock(lock); \
+	_raw_read_unlock(lock); \
 	local_irq_restore(flags); \
 	preempt_enable(); \
 } while (0)
 
 #define read_unlock_irq(lock) \
 do { \
-	read_unlock(lock); \
+	_raw_read_unlock(lock); \
 	local_irq_enable(); \
 	preempt_enable(); \
 } while (0)
@@ -376,14 +376,14 @@ do { \
 
 #define write_unlock_irqrestore(lock, flags) \
 do { \
-	write_unlock(lock); \
+	_raw_write_unlock(lock); \
 	local_irq_restore(flags); \
 	preempt_enable(); \
 } while (0)
 
 #define write_unlock_irq(lock) \
 do { \
-	write_unlock(lock); \
+	_raw_write_unlock(lock); \
 	local_irq_enable(); \
 	preempt_enable(); \
 } while (0)

_
